[dpdk-stable] patch 'devtools: support older compilers with meson test' has been queued to LTS release 18.11.2

Kevin Traynor ktraynor at redhat.com
Tue Apr 30 19:01:19 CEST 2019


Hi,

FYI, your patch has been queued to LTS release 18.11.2

Note it hasn't been pushed to http://dpdk.org/browse/dpdk-stable yet.
It will be pushed if I get no objections before 05/07/19. So please
shout if anyone has objections.

Also note that after the patch there's a diff of the upstream commit vs the
patch applied to the branch. This will indicate if there was any rebasing
needed to apply to the stable branch. If there were code changes for rebasing
(ie: not only metadata diffs), please double check that the rebase was
correctly done.

Queued patches can be viewed on a temporary branch at:
	https://github.com/kevintraynor/dpdk-stable-queue.git

Thanks.

Kevin Traynor

---
>From 4bef54f37c44582c69e2c20c5c97c6466c643d1c Mon Sep 17 00:00:00 2001
From: Bruce Richardson <bruce.richardson at intel.com>
Date: Wed, 10 Apr 2019 21:52:23 +0100
Subject: [PATCH] devtools: support older compilers with meson test

[ upstream commit 2660c6f653c11fa37f3385b9f5777f1eff6489c8 ]

Older versions of GCC, such as on Redhat/CentOS 7, don't support
-march=nehalem, but need -march=corei7 instead.

Signed-off-by: Bruce Richardson <bruce.richardson at intel.com>
Acked-by: Luca Boccassi <bluca at debian.org>
---
 devtools/test-meson-builds.sh | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

diff --git a/devtools/test-meson-builds.sh b/devtools/test-meson-builds.sh
index 49bc7876c..79148ba28 100755
--- a/devtools/test-meson-builds.sh
+++ b/devtools/test-meson-builds.sh
@@ -45,5 +45,10 @@ done
 
 # test compilation with minimal x86 instruction set
-build build-x86-default -Dmachine=nehalem $use_shared
+default_machine='nehalem'
+ok=$(cc -march=$default_machine -E - < /dev/null > /dev/null 2>&1 || echo false)
+if [ "$ok" = "false" ] ; then
+	default_machine='corei7'
+fi
+build build-x86-default -Dmachine=$default_machine $use_shared
 
 # enable cross compilation if gcc cross-compiler is found
-- 
2.20.1

---
  Diff of the applied patch vs upstream commit (please double-check if non-empty:
---
--- -	2019-04-30 17:58:14.960935857 +0100
+++ 0024-devtools-support-older-compilers-with-meson-test.patch	2019-04-30 17:58:13.800139923 +0100
@@ -1 +1 @@
-From 2660c6f653c11fa37f3385b9f5777f1eff6489c8 Mon Sep 17 00:00:00 2001
+From 4bef54f37c44582c69e2c20c5c97c6466c643d1c Mon Sep 17 00:00:00 2001
@@ -5,0 +6,2 @@
+[ upstream commit 2660c6f653c11fa37f3385b9f5777f1eff6489c8 ]
+
@@ -9,2 +10,0 @@
-Cc: stable at dpdk.org
-
@@ -18 +18 @@
-index 9a67cfa64..c7bde2fb7 100755
+index 49bc7876c..79148ba28 100755
@@ -21 +21 @@
-@@ -63,5 +63,10 @@ done
+@@ -45,5 +45,10 @@ done


More information about the stable mailing list